bambam(6)

NAME
bambam - a keyboard mashing and doodling game for babies and toddlers

SYNOPSIS
bambam [OPTIONS]

DESCRIPTION

-u, --uppercase
    Show UPPER-CASE letters.

-d, --deterministic-sounds
    Produce same sounds on same key presses.

-D, --dark
    Use a dark background instead of a light one.

-m, --mute
    Start muted.

--sticky-mouse
    Start with sticky mouse buttons enabled.

--sound_blacklist=GLOB
    List of sound filename patterns to never play.

--image_blacklist=GLOB
    List of image filename patterns to never show.

--extension=EXTENSION
    Use the specified extension.

--wayland-ok
    Do not prevent running under Wayland. See the NOTES section.

bambam is a keyboard and mouse game for babies written in Python. Pressing letter keys prints them in random locations and colours. Pressing any other key draws little pictures in random locations. Dragging the mouse while the mouse button is pressed draws in randomly changing colours. The screen is cleared at random.

NOTES
To quit, directly type the command mentioned in the upper left-hand corner of the window. In the English locales, this is the word: quit.

Be aware that there are ways to switch to another application from bambam:

•   when running under Wayland, it is not currently possible for bambam to grab all key presses. A consequence of that is that if you use GNOME Shell, pressing the Windows (a.k.a. Super) key will activate the activities overview. Please check your environment. As a workaround, starting with version 1.1.2, bambam will try to detect if it is running under Wayland. If this is the case, bambam will display a warning and refuse to work. You can disable this workaround, with the --wayland-ok option.

•   bambam does not block virtual terminal switching (e.g. CTRL+ALT+F1). See the example 50-dont-vt-switch.conf file if you would like to block that.

•   there may be other yet unknown ways in other environments and window managers.

For the above reasons, starting with version 1.2.0, it is possible and recommended to run bambam in a dedicated login session.

•   One way to do this is to select BamBam session type from your display manager settings when logging in (look for a gear icon).

•   Another way is use command such as exec startx bambam from a text console.

To turn the sound off and on, type sound in the game. The legacy mute and unmute commands are also supported for now, they will be removed in a future version.

To toggle sticky mouse buttons, type mouse in the game. In this mode, the mouse button only needs to be pressed once to start or stop drawing.

bambam loads images (GIF, JPEG, PNG and TIFF files) and sounds (WAV and OGG files) from the following directories:

•   the data directory distributed with the game,

•   the data directory in bambam's $XDG_DATA_HOME subdirectory (typically ~/.local/share/bambam/data)

When scanning directories for files, bambam does follow symbolic links and descend directories. This makes is easy to have bambam use files located elsewhere.

As of version 1.3.0 bambam has experimental support for extensions, which are a way of changing the program behaviour. Bambam loads extensions from the following directories:

•   the extensions directory distributed with the game,

•   the extensions directory in bambam's $XDG_DATA_HOME subdirectory (typically ~/.local/share/bambam/extensions)

See the EXTENSIONS.md file for documentation on creating and modifying extensions.

AUTHOR
Spike Burch <spikeb@gmail.com> Marcin Owsiany <marcin@owsiany.pl>